osl::eval::ml::BishopMobilityAll Struct Reference

`#include <mobility.h>`

## Static Public Member Functions

template<int Sign>
static void | adjust (bool promoted, int mobility1, int mobility2, MultiInt &value)
static void | eval (const NumEffectState &, MultiInt &out)

## Static Private Attributes

static CArray< MultiInt, 36 > | bishop_table
static CArray< MultiInt, 18 > | each_table

## Friends

class | BishopMobility
class | BishopMobilityEach

## Detailed Description

Definition at line 106 of file mobility.h.

## Member Function Documentation

## adjust()

template<int Sign>

void osl::eval::ml::BishopMobilityAll::adjust | ( | bool | promoted,
|  | int | mobility1,
|  | int | mobility2,
|  | MultiInt & | value )

inline static

Definition at line 199 of file mobility.cc.

References bishop_table, and each_table.

Referenced by eval().

## eval()

void osl::eval::ml::BishopMobilityAll::eval | ( | const NumEffectState & | state,
|  | MultiInt & | out )

static

Definition at line 224 of file mobility.cc.

References adjust(), osl::BLACK, osl::container::QuadInt::clear(), osl::mobility::BishopMobility::countAllDir(), osl::Piece::isOnBoard(), osl::Piece::isPromoted(), osl::Piece::owner(), and osl::SimpleState::pieceOf().

Referenced by BishopMobilityEach, osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## Friends And Related Symbol Documentation

## BishopMobility

friend class BishopMobility

friend

Definition at line 108 of file mobility.h.

References BishopMobility.

Referenced by BishopMobility.

## BishopMobilityEach

friend class BishopMobilityEach

friend

Definition at line 109 of file mobility.h.

References BishopMobilityEach, and eval().

Referenced by BishopMobilityEach.

## Member Data Documentation

## bishop_table

osl::CArray< MultiInt, 36 > osl::eval::ml::BishopMobilityAll::bishop_table

static private

Definition at line 116 of file mobility.h.

Referenced by adjust(), and osl::eval::ml::BishopMobility::setUp().

## each_table

osl::CArray< MultiInt, 18 > osl::eval::ml::BishopMobilityAll::each_table

static private

Definition at line 117 of file mobility.h.

Referenced by adjust(), and osl::eval::ml::BishopMobilityEach::setUp().

The documentation for this struct was generated from the following files:

- mobility.h
- mobility.cc